Skip to main content
GET
/
advertisers
/
{advertiserId}
/
property-lists
List property lists
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/property-lists \
  --header 'Authorization: Bearer <token>'
{
  "propertyLists": [
    {
      "listId": "42",
      "name": "Q1 Campaign - UK Premium",
      "purpose": "include",
      "domains": [
        "<string>"
      ],
      "unresolvedDomains": [
        "<string>"
      ],
      "propertyCount": 25,
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-01-20T14:45:00.000Z",
      "filters": {
        "channels_any": [
          "display",
          "olv"
        ],
        "countries_all": [
          "US",
          "GB"
        ],
        "property_types": [
          "website"
        ],
        "feature_requirements": [
          {
            "feature_id": "<string>",
            "min_value": 123,
            "max_value": 123,
            "allowed_values": [
              "<unknown>"
            ],
            "if_not_covered": "exclude"
          }
        ]
      }
    }
  ],
  "total": 3
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Query Parameters

take
integer
default:50

Number of results to return (max 250)

Required range: x <= 250
Example:

50

skip
integer
default:0

Number of results to skip for pagination

Required range: 0 <= x <= 9007199254740991
Example:

0

purpose
enum<string>

Whether properties in this list should be included or excluded

Available options:
include,
exclude
Example:

"include"

Response

List property lists

Response containing a paginated list of property lists

propertyLists
object[]
required

List of property lists

total
integer
required

Total count of property lists matching the query

Required range: 0 <= x <= 9007199254740991
Example:

3